/*
 * SystemView.java
 * 
 * Copyright (c) 2003-2004 Digi International
 * This program and the information contained in it is confidential and
 * proprietary to Digi International and may not be used, copied, or re-
 * produced without the prior written permission of Digi International.
 * 
 */

package com.digi.config.ui;

import com.digi.config.core.*;
import com.digi.config.util.*;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.tree.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import java.net.*;




/** 
 * This class is a view panel that shows information, state, and
 * statistics data for the device.
 */

public class SystemView extends AggregateConfigView {

    /**
     * Basic constructor. Sets up the readonly view.
     */
    public SystemView() throws Exception {
        super(false);
        setIncludeStateFields(true);
        setIncludeSettingsFields(false);

        addView(new GeneralInfoView());
        addView(new GpioStateView());
        addView(new SerialStatisticsView());
        addView(new NetworkStatisticsView());
    }


    /**
     * Returns a one word name identifying this view. 
     */
    public String getName() {
        return "SystemView";
    }
}

